Running Eclipse 3.x RCP application on Eclipse 4

I updated Using the Compatibility Layer for Eclipse 3.x RCP applications tutorial with the latest information.

The migration for your Eclipse 3.x RCP applcation to Eclipse 4.2 is now super easy.

If you are using a feature based product configuration file which includes the exiting Eclipse 3.x “org.eclipse.rcp” feature, then almost no change in your product or application is required to run on Eclipse 4.2 is required. You only have to add two additional features org.eclipse.emf.common and
org.eclipse.emf.ecore. See Bugreport for details.

In my opinion there is no reason anymore not to migrate to Eclipse 4. The integration builds are already very stable and Eclipse 4.2M6 is expected to be really good as this will be the released used for EclipseCon.

Please give the latest integration builds a try with your Eclipse 3.x RCP application and report any issues to give the team the chance to fix any outstanding issues.

About Lars Vogel

Lars Vogel is the founder and CEO of the vogella GmbH and works as Eclipse and Android consultant, trainer and book author. He is a regular speaker at international conferences, He is the primary author of vogella.com. With more than one million visitors per month this website is one of the central sources for Java, Eclipse and Android programming information.
This entry was posted in Eclipse and tagged , , . Bookmark the permalink.